Subject: mpc8260 I2C driver help

From: jimmy liu <[email-masked]>
Date: Wed, 24 Jan 2007 19:11:19 -0800 (PST)

I download the linux kernel 2.6.19 from
ftp://ftp.denx.de/pub/linux/ site.
When I add mpc8260 I2C driver to Linux kernel 2.6.19,
the init function like that
static int __init fsl_i2c_init(void)
{
	return driver_register(&fsl_i2c_driver);
}
but, the fsl_i2c_probe() function is never called, So
the user space function open("/dev/i2c-0",O_RDWR)
always return error. I set something wrong?

Jimmy Zhimin Liu
mailto:[email-masked]
www.edgar-online.com
11200 Rockville Pike, Suite 301
Rockville, MD 20874
(301)287-0339(O)
(202)499-6822(H)

____________________________________________________________________________________
Never Miss an Email
Stay connected with Yahoo! Mail on your mobile.  Get started!
http://mobile.yahoo.com/services?promote=mail